Subject: Re: bug#16604: 24.3.50; False negatives in lisp-completion-at-point

From: Dmitry Gutov <[email-masked]>
Date: Sun, 02 Feb 2014 05:00:09 +0200

On 02.02.2014 04:39, Stefan Monnier wrote:
> I think it should wait.

Pity. It's a regression compared to company-elisp, as far as I'm concerned.

> I also think it should be configurable (I
> definitely prefer the current behavior; in my use cases your behavior
> makes the lisp--local-variables-completion-table pretty much useless
> because there's almost always some other global variable that starts
> with a similar prefix).

True, lisp--local-variables-completion-table is less useful this way, 
but it still plays a part when the binding form hasn't been evaluated 
yet, and so the local variable symbols aren't yet in obarray.

If you were using Company, by the way, you could take advantage of the 
ordering of candidates based on their occurrences in the visible part of 
the buffer, which will be supported in the next version. Naturally, 
local vars will be at the top, as long as they're visible in the window.